Subject: Re: [next-20220215] WARNING at fs/iomap/buffered-io.c:75 with xfstests

From: Sachin Sant <[email-masked]>
Date: Wed, 16 Feb 2022 15:17:14 +0530

>> While running xfstests on IBM Power10 logical partition (LPAR) booted
>> with 5.17.0-rc4-next-20220215 following warning was seen:
>> 
>> The warning is seen when test tries to unmount the file system. This problem is seen
>> while running generic/475 sub test. Have attached captured messages during the test
>> run of generic/475.
>> 
>> xfstest is a recent add to upstream regression bucket. I don’t have any previous data
>> to attempt a git bisect. 
> 
> If you have time, could you test v5.17-rc4-2-gd567f5db412e (the commit
> in Linus' tree that next-20220215 is based on) and if that OK, then a
> bisect from that to 5.17.0-rc4-next-20220215 may be helpful.

Unfortunately I cannot recreate the problem consistently. I tried same test run with both
mainline as well as linux-next20220215. In both attempts I wasn’t able to recreate it.

Thanks
-Sachin